id path parameter.Invoice object plus optional InvoiceItem, Payment, etc.), with the recurrence fields on the Invoice object:| Field | Meaning |
|---|---|
name | Required. Subscription name |
subscription_period | Required. Interval count |
subscription_unit | Required. Interval unit: days, weeks, months, years |
subscription_max_repeat | Max invoices to generate (empty = unlimited) |
subscription_issue_before | Days before the next date to issue each invoice |
active | Whether the generator is active (0/1) |
404. Requires permission to edit the subscription. See Add New Invoice for the full reference of the remaining header / item fields.curl --location --globoff --request PUT 'https://.daftra.com/api2/invoices/edit_subscription/3120.json' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"Invoice": {
"name": "Monthly retainer",
"subscription_period": 2,
"subscription_unit": "days",
"subscription_max_repeat": 24,
"subscription_issue_before": 3,
"active": 0,
"date": "2026-07-01"
},
"InvoiceItem": [
{
"item": "Consulting service",
"unit_price": 100,
"quantity": 1,
"product_id": 12
}
]
}'{
"result": "successful",
"code": 200
}